lwIP 2.1.2 Lightweight IP stack

Macros
Options
Applications » MQTT client

## Macros
#define | MQTT_OUTPUT_RINGBUF_SIZE 256
#define | MQTT_VAR_HEADER_BUFFER_LEN 128
#define | MQTT_REQ_MAX_IN_FLIGHT 4
#define | MQTT_CYCLIC_TIMER_INTERVAL 5
#define | MQTT_REQ_TIMEOUT 30
#define | MQTT_CONNECT_TIMOUT 100

## Detailed Description

## Macro Definition Documentation

## ◆ MQTT_CONNECT_TIMOUT

#define MQTT_CONNECT_TIMOUT 100

Seconds for MQTT connect response timeout after sending connect request

## ◆ MQTT_CYCLIC_TIMER_INTERVAL

#define MQTT_CYCLIC_TIMER_INTERVAL 5

Seconds between each cyclic timer call.

## ◆ MQTT_OUTPUT_RINGBUF_SIZE

#define MQTT_OUTPUT_RINGBUF_SIZE 256

Output ring-buffer size, must be able to fit largest outgoing publish message topic+payloads

## ◆ MQTT_REQ_MAX_IN_FLIGHT

#define MQTT_REQ_MAX_IN_FLIGHT 4

Maximum number of pending subscribe, unsubscribe and publish requests to server .

## ◆ MQTT_REQ_TIMEOUT

#define MQTT_REQ_TIMEOUT 30

Publish, subscribe and unsubscribe request timeout in seconds.

## ◆ MQTT_VAR_HEADER_BUFFER_LEN

#define MQTT_VAR_HEADER_BUFFER_LEN 128

Number of bytes in receive buffer, must be at least the size of the longest incoming topic + 8 If one wants to avoid fragmented incoming publish, set length to max incoming topic length + max payload length + 8